/**
  ******************************************************************************
  * @file           : IS11_INST.h
  * @author         : xin
  * @brief          : None
  * @attention      : None
  * @date           : 2024/8/14
  ******************************************************************************
  */

//
// Created by xin on 2024/8/14.
//

#ifndef IS11LIB_IS11_INST_H
#define IS11LIB_IS11_INST_H
#include "comon.h"
#ifdef __cplusplus
extern "C"   {
#endif

#ifdef _WIN32
#define WINDOWSEXPORT __declspec(dllexport) // Windows下导出函数
#else
#define WINDOWSEXPORT // Linux下导出函数
#endif

WINDOWSEXPORT int IS11SensorInit();
WINDOWSEXPORT void Set_Serial_FUN(SERIALWRITE writefunc,SERIALWRITE readfunc);
WINDOWSEXPORT STRsensorinfo_C Get_SensorInfo();
WINDOWSEXPORT int IS11OptSnenser(int percent);
WINDOWSEXPORT int IS11GetData(uint16_t *outdata,int shuttertime);

#ifdef __cplusplus
}
#endif


#endif //IS11LIB_IS11_INST_H
